
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was gum-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(GUM_WITH_VGIO OFF)
set(GUM_WITH_BDSG OFF)

include(CMakeFindDependencyMacro)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
find_dependency(ZLIB REQUIRED)
find_dependency(OpenMP)
if(GUM_WITH_VGIO)
  find_dependency(VGio REQUIRED)
endif(GUM_WITH_VGIO)
if(GUM_WITH_BDSG)
  find_dependency(libbdsg REQUIRED)
endif(GUM_WITH_BDSG)
list(REMOVE_AT CMAKE_MODULE_PATH -1)

if(NOT TARGET gum::gum)
  include("${CMAKE_CURRENT_LIST_DIR}/gum-targets.cmake")
endif()

check_required_components(gum)

include("${CMAKE_CURRENT_LIST_DIR}/gum-config-version.cmake")
message(STATUS "Found gum (version ${PACKAGE_VERSION})")
